Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom
Class JRexDOMImplementationImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexDOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation

public class JRexDOMImplementationImpl
extends Object
implements DOMImplementation

A class implementing org.w3c.dom.DOMImplementation interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `DOMImplementation`

Method Summary
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)`
`DocumentType` | `createDocumentType(String qualifiedName, String publicId, String systemId)`
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`static DOMImplementation` | `getInstance()`
`boolean` | `hasFeature(String feature, String version)`
`int` | `hashCode()`
`static boolean` | `initialize()`
`static void` | `unInitialize()`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public static boolean initialize()

### unInitialize

    public static void unInitialize()

### getInstance

    public static DOMImplementation getInstance()

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Throws:
    `DOMException`

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicId,
                                           String systemId)
                                    throws DOMException

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Throws:
    `DOMException`

### hasFeature

    public boolean hasFeature(String feature,
                              String version)

  Specified by:
    `hasFeature` in interface `DOMImplementation`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.